#include "Ogre.h" 
#include "SDL/SDL.h"
#include "SDL/SDL_mixer.h"

using namespace Ogre;

#include "chadframelistener.h"

class CChadGame
{
public:
	CChadGame();
	~CChadGame();
	bool loadConfig();
	void initialise();
	int run();

	void createScene();

	Root* m_Ogre;
	EventProcessor* m_EventProcessor;
	CChadFrameListener* m_FrameListener;

	SceneManager* m_SceneMgr;
	Camera* m_Camera;
	Viewport* m_Viewport;
};
